<html>
<head>
<title>Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1VertexCacheProfiler.html">VertexCacheProfiler</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">Ogre::VertexCacheProfiler Member List</div>  </div>
</div><!--header-->
<div class="contents">
This is the complete list of members for <a class="el" href="classOgre_1_1VertexCacheProfiler.html">Ogre::VertexCacheProfiler</a>, including all inherited members.<table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a366445eb206e55a2199267b8b9089ebb">AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td><code> [explicit]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexCacheProfiler.html#a7c5a21c77c8c968f263900909417ea28">buffersize</a></td><td><a class="el" href="classOgre_1_1VertexCacheProfiler.html">Ogre::VertexCacheProfiler</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexCacheProfiler.html#ad72231fffc5f97675058ebe22bdbba27">cache</a></td><td><a class="el" href="classOgre_1_1VertexCacheProfiler.html">Ogre::VertexCacheProfiler</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexCacheProfiler.html#a4b9f6e1bc8dd4f2030f5a11c6e3dfbb9">CacheType</a> enum name</td><td><a class="el" href="classOgre_1_1VertexCacheProfiler.html">Ogre::VertexCacheProfiler</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexCacheProfiler.html#a4b9f6e1bc8dd4f2030f5a11c6e3dfbb9ae3ecb5ccdf6f4c4c6f156a77e9833fe7">FIFO</a> enum value</td><td><a class="el" href="classOgre_1_1VertexCacheProfiler.html">Ogre::VertexCacheProfiler</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexCacheProfiler.html#aa8578416f0d313a75d39a30c5d47123a">flush</a>()</td><td><a class="el" href="classOgre_1_1VertexCacheProfiler.html">Ogre::VertexCacheProfiler</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexCacheProfiler.html#a9f0a043c69c3b8f472cdff618bccc624">getHits</a>()</td><td><a class="el" href="classOgre_1_1VertexCacheProfiler.html">Ogre::VertexCacheProfiler</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexCacheProfiler.html#a4b6ea00ce8ef7a1d1d8676b98cd2c128">getMisses</a>()</td><td><a class="el" href="classOgre_1_1VertexCacheProfiler.html">Ogre::VertexCacheProfiler</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexCacheProfiler.html#ab89c85abff1af843322f4210afd25a16">getSize</a>()</td><td><a class="el" href="classOgre_1_1VertexCacheProfiler.html">Ogre::VertexCacheProfiler</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexCacheProfiler.html#aeeb3c8f51e564ad830af050cfe754213">hit</a></td><td><a class="el" href="classOgre_1_1VertexCacheProfiler.html">Ogre::VertexCacheProfiler</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexCacheProfiler.html#a4b855ce6273c82f3790bdcda2ac9ea4f">inCache</a>(unsigned int index)</td><td><a class="el" href="classOgre_1_1VertexCacheProfiler.html">Ogre::VertexCacheProfiler</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexCacheProfiler.html#a4b9f6e1bc8dd4f2030f5a11c6e3dfbb9ad0fb7b7d84385dee76ad77538bb50acc">LRU</a> enum value</td><td><a class="el" href="classOgre_1_1VertexCacheProfiler.html">Ogre::VertexCacheProfiler</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexCacheProfiler.html#a409b41e6232966ea68bdf0c7273eefb0">miss</a></td><td><a class="el" href="classOgre_1_1VertexCacheProfiler.html">Ogre::VertexCacheProfiler</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a8357fe4fb4849772b94baa4bf47c7ded">operator delete</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a1c727e879a260c37b00ce5505fe8e144">operator delete</a>(void *ptr, void *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#acb46d4b0a597156d9ba5abc39d127792">operator delete</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a93e6a86dde5483c053ca0f2a85bbfd6c">operator delete[]</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a595ea4c05da8aa987d3800e65d23355d">operator delete[]</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a421b197ca3a38da17e2eb1531a645fa2">operator new</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ac4bdf968b7b9af8a5239a27da73d5711">operator new</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ab78a921e54419be677839cdf15d1f0b8">operator new</a>(size_t sz, void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a4be37baef81876985aa1071ad5acc6dd">operator new[]</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#afa2943846ba6a2b5824a12857139cf5e">operator new[]</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexCacheProfiler.html#a7f82fe442519758e19ff36f211757a72">profile</a>(const HardwareIndexBufferSharedPtr &amp;indexBuffer)</td><td><a class="el" href="classOgre_1_1VertexCacheProfiler.html">Ogre::VertexCacheProfiler</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexCacheProfiler.html#a73303582f428106fc0b3177d11984228">reset</a>()</td><td><a class="el" href="classOgre_1_1VertexCacheProfiler.html">Ogre::VertexCacheProfiler</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexCacheProfiler.html#adc56faf57c63b1d1df6bb2f09892b3b5">size</a></td><td><a class="el" href="classOgre_1_1VertexCacheProfiler.html">Ogre::VertexCacheProfiler</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexCacheProfiler.html#a35553327f48981689555cc00eb97d339">tail</a></td><td><a class="el" href="classOgre_1_1VertexCacheProfiler.html">Ogre::VertexCacheProfiler</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexCacheProfiler.html#afb8e69a97d30c33f8ba37abe54522110">type</a></td><td><a class="el" href="classOgre_1_1VertexCacheProfiler.html">Ogre::VertexCacheProfiler</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexCacheProfiler.html#a967ec965713da4ce36c461e847f964f9">VertexCacheProfiler</a>(unsigned int cachesize=16, CacheType cachetype=FIFO)</td><td><a class="el" href="classOgre_1_1VertexCacheProfiler.html">Ogre::VertexCacheProfiler</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a499773d35ca98b2df7c2699fc8c1bea2">~AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexCacheProfiler.html#a6ab7499e2083ad5f35f34a816806cef8">~VertexCacheProfiler</a>()</td><td><a class="el" href="classOgre_1_1VertexCacheProfiler.html">Ogre::VertexCacheProfiler</a></td><td></td></tr>
</table></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:10
</p>
</body>
</html>
